summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-07-29 09:54:40 +0000
committerJim Meyering <jim@meyering.net>2002-07-29 09:54:40 +0000
commitc017df37f10ffbd9788eff275fd755a22fc9b912 (patch)
treef18079ab981d89dfccc6a4ef960b6e28800297ff /tests
parent49f015c36baaa3216686cc72a50784875dd656cb (diff)
downloadcoreutils-c017df37f10ffbd9788eff275fd755a22fc9b912.tar.xz
Supply exit arg for both invocations of exit.
Diffstat (limited to 'tests')
-rw-r--r--tests/sample-test6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/sample-test b/tests/sample-test
index 5e725c17c..96e3b4846 100644
--- a/tests/sample-test
+++ b/tests/sample-test
@@ -14,7 +14,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
+trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
mkdir -p $tmp || framework_failure=1
@@ -22,7 +22,7 @@ cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo '$0: failure in testing framework' 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -35,4 +35,4 @@ EOF
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail